#define 	NUM_OVLY		3		// This constant defines the number of software overlays in the system

.section/pm seg_pmdata;

.extern _ov_startaddress_1;
.extern _ov_startaddress_2;
.extern _ov_startaddress_3;
.extern _ov_word_run_size_1;
.extern _ov_word_run_size_2;
.extern _ov_word_run_size_3;
.extern _ov_word_live_size_1;
.extern _ov_word_live_size_2;
.extern _ov_word_live_size_3;
.extern _ov_runtimestartaddress_1;
.extern _ov_runtimestartaddress_2;
.extern _ov_runtimestartaddress_3;

// the 'init24' qualifier is needed here to properly align the 'live addresses' for the overlay into a 24-bit field
.var/init24 liveAddresses[NUM_OVLY] = _ov_startaddress_1, _ov_startaddress_2, _ov_startaddress_3;

// Since we define all of the overlay run addresses within internal PM and DM, they can be resolved as a 16-bit address
// since the page offset for these fields are always zero!! Therefore, we can store these constants as 16-bit
// fields left-justified in a 24-bit memory location
.var runAddresses[NUM_OVLY] = _ov_runtimestartaddress_1, _ov_runtimestartaddress_2, _ov_runtimestartaddress_3;
.var runWordSize[NUM_OVLY] = _ov_word_size_run_1, _ov_word_size_run_2, _ov_word_size_run_3;
.var liveWordSize[NUM_OVLY] =  _ov_word_size_live_1, _ov_word_size_live_2, _ov_word_size_live_3;


// make them all global for the overlay manager
.global liveAddresses;
.global runAddresses;
.global runWordSize;
.global liveWordSize;






//.var runWordSize[NUM_OVLY] = _ov_word_run_size_1, _ov_word_run_size_2, _ov_word_run_size_3;
//.var liveWordSize[NUM_OVLY] = _ov_word_live_size_1, _ov_word_live_size_2, _ov_word_live_size_3;

